#ifndef __SMARTT_NETWORK_H
#define __SMARTT_NETWORK_H

#define SMARTT_TRACE_PORT 6000

struct sockaddr_in Rx_server_addr, Rx_client_addr;
struct sockaddr_in Tx_server_addr;
struct sockaddr_in TRACE_server_addr;
struct sockaddr_in MMP_Rx_server_addr;
struct sockaddr_in MEMINFO_Rx_server_addr;

unsigned int rx_sock_desc, tx_sock_desc;
unsigned int mmp_rx_sock_desc;
unsigned int mem_info_rx_sock_desc;
unsigned int trace_sock;
unsigned int addr_len;


struct s_network_config
{
    char            host_ip[16];
    unsigned int    port_no;
};

int SMARTTclient_OpenLocalServer();
int SMARTTclient_OpenRemoteServer();
int SMARTTclient_OpenTracePort();
int SMARTTclient_GetNetworkConfig();

#endif /*__SMARTT_NETWORK_H*/
