
#ifndef MEDIA_PLAYER_H
#define MEDIA_PLAYER_H

#include <unistd.h>
#include <sys/stat.h>
#include <sys/statfs.h>
#include <fcntl.h>
#include <stdbool.h>
#include <stddef.h>
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <errno.h>
#include <limits.h>
#include <sys/param.h>
#include <sys/types.h>
#include <dirent.h>
#include <sys/time.h>
#include <time.h>
#include <signal.h>
#include <fnmatch.h>
#include <assert.h>
#include <regex.h>
#include <utime.h>
#include <sys/wait.h>
#include <sys/poll.h>
#include <sys/socket.h>
#include <sys/ioctl.h>
#include <netinet/in.h>
#include <netinet/tcp.h>
#include <arpa/inet.h>
#include <netdb.h>
#include <pwd.h>
#include <inttypes.h>


int sock_desc;
struct sockaddr_in server;

void player_open(void);
void player_init (int *argc, char **argv[]);
void player_deinit (void);
void player_play (const gchar *filename,const gint fps_update_interval);
void player_send (void);
void player_stop (void);


#endif /* MEDIA_PLAYER_H */
