#ifndef __SMARTT_NETWORK_SERVICES_H
#define __SMARTT_NETWORK_SERVICES_H


unsigned int smartt_client_rx_sock_desc;
unsigned int smartt_client_tx_sock_desc;
unsigned int smartt_perf_rx_sock_desc;
unsigned int smartt_top_rx_sock_desc;
unsigned int smartt_player_rx_sock_desc;

struct sockaddr_in smartt_client_rx_server_addr;
struct sockaddr_in smartt_client_tx_server_addr;
struct sockaddr_in smartt_perf_rx_server_addr;
struct sockaddr_in smartt_top_rx_server_addr;
struct sockaddr_in smartt_player_rx_server_addr;

#define SMARTT_PERF_LOCAL_PORT      4000
#define SMARTT_TOP_LOCAL_PORT       4100
#define SMARTT_PLAYER_LOCAL_PORT    4200

int SMARTTserver_OpenRxChannel();
int SMARTTserver_OpenTxChannel(char* remote_host, unsigned int remote_port);

#endif /*__SMARTT_NETWORK_SERVICES_H*/
